Package org.apache.tiles.web.util

# Class TilesDispatchServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.apache.tiles.web.util.TilesDispatchServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class TilesDispatchServlet extends jakarta.servlet.http.HttpServlet
Tiles dispatching servlet. Used to invoke a definition directly.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONTAINER_KEY_INIT_PARAMETER`
  Init parameter to define the key of the container to use.

  ### Fields inherited from class jakarta.servlet.http.HttpServlet

  `LEGACY_DO_HEAD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TilesDispatchServlet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doGet(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`
  `protected void`
  `doPost(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`
  `protected String`
  `getDefinitionName(jakarta.servlet.http.HttpServletRequest request)`
  Returns the called definition name for the given request.
  `void`
  `init()`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, init, service, service`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONTAINER_KEY_INIT_PARAMETER

    public static final String CONTAINER_KEY_INIT_PARAMETER
    Init parameter to define the key of the container to use.
    Since:
      2.1.2
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TilesDispatchServlet

    public TilesDispatchServlet()

- ## Method Details

  - ### init

    public void init() throws jakarta.servlet.ServletException
    Overrides:
      `init` in class `jakarta.servlet.GenericServlet`
    Throws:
      `jakarta.servlet.ServletException`

  - ### doGet

    protected void doGet(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)
    Overrides:
      `doGet` in class `jakarta.servlet.http.HttpServlet`

  - ### getDefinitionName

    protected String getDefinitionName(jakarta.servlet.http.HttpServletRequest request)
    Returns the called definition name for the given request.
    Parameters:
      `request` - The request to parse.
    Returns:
      The definition name to render.

  - ### doPost

    protected void doPost(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)
    Overrides:
      `doPost` in class `jakarta.servlet.http.HttpServlet`